#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: turtle
version: 1.5.12
id: turtle-1.5.12-17NbDHyOSUV1wTOBIFi3wG
key: turtle-1.5.12-17NbDHyOSUV1wTOBIFi3wG
license: BSD-3-Clause
copyright: 2015 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
author: Gabriel Gonzalez
synopsis: Shell programming, Haskell-style
description:
    @turtle@ is a reimplementation of the Unix command line environment
    in Haskell so that you can use Haskell as both a shell and a scripting
    language.
    .
    Features include:
    .
    * Batteries included: Command an extended suite of predefined utilities
    .
    * Interoperability: You can still run external shell commands
    .
    * Portability: Works on Windows, OS X, and Linux
    .
    * Exception safety: Safely acquire and release resources
    .
    * Streaming: Transform or fold command output in constant space
    .
    * Patterns: Use typed regular expressions that can parse structured values
    .
    * Formatting: Type-safe @printf@-style text formatting
    .
    * Modern: Supports @text@ and @system-filepath@
    .
    Read "Turtle.Tutorial" for a detailed tutorial or "Turtle.Prelude" for a
    quick-start guide
    .
    @turtle@ is designed to be beginner-friendly, but as a result lacks certain
    features, like tracing commands.  If you feel comfortable using @turtle@
    then you should also check out the @Shelly@ library which provides similar
    functionality.
category: System
abi: 22cebf3e0895e7ea1f808bc4d0f08d5e
exposed: True
exposed-modules:
    Turtle Turtle.Bytes Turtle.Format Turtle.Line Turtle.Options
    Turtle.Pattern Turtle.Prelude Turtle.Shell Turtle.Tutorial
hidden-modules: Turtle.Internal
import-dirs: /usr/lib/ghc-8.6.1/site-local/turtle-1.5.12
library-dirs: /usr/lib/ghc-8.6.1/site-local/turtle-1.5.12
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.6.1/turtle-1.5.12
hs-libraries: HSturtle-1.5.12-17NbDHyOSUV1wTOBIFi3wG
depends:
    ansi-wl-pprint-0.6.8.2-ENU5HJtO61mEFaiEoFGDgl
    async-2.2.1-GYH0rb5jjEHH7NChV9fWYh base-4.12.0.0
    bytestring-0.10.8.2 clock-0.7.2-DpdvDKMysiO5fhuByT1Vyj
    containers-0.6.0.1 directory-1.3.3.0
    exceptions-0.10.0-4DJq1L1pYJ32FjrP4E9tSI
    foldl-1.4.5-BmhjPSoKZiAGLKUSL0lNgA
    hostname-1.0-96RwzZJKf0mHYnt0kjXkqR
    managed-1.0.6-7sAe2HQnuo86C6EIcX7RDB
    optional-args-1.0.2-1m715yvjsnq8LooJByzcqK
    optparse-applicative-0.14.3.0-IKaF2mgRPI37cniOJkqr8k
    process-1.6.3.0 stm-2.5.0.0
    system-fileio-0.3.16.4-HlRuLFEUs5510FaMgZTWEJ
    system-filepath-0.4.14-FRUtJu5zAWTG9MKrRBz8D6
    temporary-1.3-3WeKdZxRfOx2W7bb9ggxeO text-1.2.3.1 time-1.8.0.2
    transformers-0.5.5.0 unix-2.7.2.2
    unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O
haddock-interfaces: /usr/share/doc/haskell-turtle/html/turtle.haddock
haddock-html: /usr/share/doc/haskell-turtle/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

